{
  "name": "@edr/passenger-api",
  "version": "1.0.0",
  "private": true,
  "scripts": {
    "dev": "nest start --watch",
    "build": "prisma generate && nest build",
    "start": "node dist/main.js",
    "start:prod": "node dist/main.js",
    "lint": "eslint src",
    "test": "jest",
    "test:e2e": "jest --config ./test/jest-e2e.json",
    "type-check": "tsc --noEmit",
    "prisma:generate": "prisma generate",
    "prisma:migrate": "prisma migrate deploy",
    "prisma:migrate:dev": "prisma migrate dev",
    "prisma:seed": "ts-node prisma/seed.ts",
    "prisma:seed-full": "ts-node prisma/seed.ts",
    "prisma:backfill": "ts-node prisma/backfill-fields.ts",
    "prisma:verify": "ts-node prisma/verify-backfill.ts"
  },

  "dependencies": {
    "@edr/types": "workspace:*",
    "@golevelup/nestjs-rabbitmq": "^5.5.0",
    "@nestjs/axios": "^4.0.1",
    "@nestjs/common": "^11.0.0",
    "@nestjs/config": "^4.0.4",
    "@nestjs/core": "^11.1.19",
    "@nestjs/event-emitter": "^2.0.4",
    "@nestjs/jwt": "^10.2.0",
    "@nestjs/passport": "^10.0.3",
    "@nestjs/platform-express": "^11.1.19",
    "@nestjs/schedule": "^6.1.3",
    "@nestjs/swagger": "^7.4.0",
    "@prisma/client": "^6.19.3",
    "@sendgrid/mail": "^8.1.0",
    "axios": "^1.7.7",
    "bcrypt": "^5.1.1",
    "class-transformer": "^0.5.1",
    "class-validator": "^0.14.0",
    "express": "^4.18.2",
    "jose": "^5.10.0",
    "passport": "^0.7.0",
    "passport-jwt": "^4.0.1",
    "qrcode": "^1.5.3",
    "reflect-metadata": "^0.2.2",
    "rxjs": "^7.8.1",
    "swagger-ui-express": "^5.0.0",
    "tsconfig-paths": "^4.2.0"
  },
  "devDependencies": {
    "@edr/eslint-config": "workspace:*",
    "@edr/tsconfig": "workspace:*",
    "@nestjs/cli": "^11.0.21",
    "@nestjs/schematics": "^11.1.0",
    "@nestjs/testing": "^11.1.19",
    "@types/bcrypt": "^5.0.2",
    "@types/express": "^5.0.6",
    "@types/jest": "^29.5.11",
    "@types/node": "^20.10.6",
    "@types/passport-jwt": "^4.0.1",
    "@types/qrcode": "^1.5.5",
    "@types/supertest": "^6.0.2",
    "jest": "^29.7.0",
    "prisma": "^6.19.3",
    "supertest": "^7.0.0",
    "ts-jest": "^29.1.1",
    "ts-node": "^10.9.2",
    "typescript": "^5.3.3"
  },
  "prisma": {
    "schema": "prisma/schema.prisma"
  },
  "jest": {
    "moduleFileExtensions": [
      "js",
      "json",
      "ts"
    ],
    "rootDir": "src",
    "testRegex": ".*\\.spec\\.ts$",
    "transform": {
      "^.+\\.(t|j)s$": "ts-jest"
    },
    "collectCoverageFrom": [
      "**/*.(t|j)s"
    ],
    "coverageDirectory": "../coverage",
    "testEnvironment": "node"
  }
}
